Bug 1574717 - Fedora media writer crash selecting Fedora Server
Summary: Fedora media writer crash selecting Fedora Server
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 21:27 UTC by Alessio
Modified: 2019-05-28 22:09 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-28 22:09:08 UTC


Attachments (Terms of Use)
logs from this event (24.17 KB, text/plain)
2018-05-25 22:54 UTC, David Buttrick
no flags Details

Description Alessio 2018-05-03 21:27:36 UTC
Description of problem:

When selecting Fedora Server, mediawriter unexpectly closes.

Starting it from terminal, the last lines are:

W@2768ms: qrc:/dialogs/DownloadDialog.qml:482: TypeError: Cannot read property 'id' of null (qrc:/dialogs/DownloadDialog.qml:482)
W@2783ms: QBackingStore::endPaint() called with active painter on backingstore paint device
fish: “mediawriter” terminated by signal SIGSEGV (Address boundary error)

Comment 2 David Buttrick 2018-05-25 22:54 UTC
Created attachment 1441725 [details]
logs from this event

I am having the same issue.

Here are the logs I collected from my machine regarding this.
Perhaps they can help in diagnosis.

Comment 3 Michael 2018-05-29 05:31:15 UTC
I've come across the same issue:

W@12777ms: QBackingStore::endPaint() called with active painter on backingstore paint device
W@12793ms: QBackingStore::endPaint() called with active painter on backingstore paint device
W@12810ms: QBackingStore::endPaint() called with active painter on backingstore paint device
W@12812ms: qrc:/dialogs/DownloadDialog.qml:482: TypeError: Cannot read property 'id' of null (qrc:/dialogs/DownloadDialog.qml:482)
Segmentation fault (core dumped)

Comment 4 Julien 2018-08-16 04:20:31 UTC
Same thing here...
Manually download the iso and selecting 'custom image' works.

Comment 5 Ben Cotton 2019-05-02 21:05:33 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 22:09:08 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.